Page MenuHomePhabricator

LQT Preview reloads the entire page on preview (since 1.25wmf23)
Closed, ResolvedPublic

Description

Since today, when writing a reply to a LQT page, if you hit preview, a prompt warns you that you're about to leave the page, which could lead to loss of your pending edits.

I've tried to proceed with the warning, and indeed the page got reloaded with ?action=submit. Hopefully, the page opens the preview on the correct message, and doesn't try to actually edit the whole page.

Until today, hitting preview performed an AJAX communication with the server and displayed the preview without reloading the page.

In fact, once I'm on the preview page (after the page got reloaded), hitting preview again performs the preview in AJAX requests, as it was being done previously.

It can be tested on LiquidThreads Test Page

My guess is that something got broken in 1.25wmf23

Event Timeline

Ciencia_Al_Poder raised the priority of this task from to Needs Triage.
Ciencia_Al_Poder updated the task description. (Show Details)
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 8:56 PM
matmarex set Security to None.Mar 26 2015, 9:24 PM
matmarex added a subscriber: TheDJ.

I guess it could be caused by rEWED4d54fa44714610f1f451c723d488ccc2cfc2efc6 which would explain why it works after submitting the page, where the URL contains action=submit

Nope, this is https://gerrit.wikimedia.org/r/#/c/198107/

An LQT page does not initially have wpTextbox1...

Krenair assigned this task to TheDJ.Mar 27 2015, 3:51 AM
Krenair added a subscriber: greg.

@TheDJ: Are you planning to put this revert cherry-pick up for SWAT deployment on Monday, when the calendar includes that day?

TheDJ triaged this task as High priority.Mar 28 2015, 12:53 PM
He7d3r renamed this task from LQT Preview reloads the entire page since 1.25wmf23 to LQT Preview reloads the entire page on preview (since 1.25wmf23).Mar 29 2015, 7:13 PM
TheDJ closed this task as Resolved.Mar 30 2015, 4:46 PM

regression fixed after swat deploy to 1.25wmf23